> ## Documentation Index
> Fetch the complete documentation index at: https://docs.generect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update leads

> Enrich or update your database with detailed lead information from a provided URL. By default, returns cached data for faster response times. Set up_to_the_second_fresh=true for real-time data retrieval.

Parallel requests limit: 500 requests

Recommended timeout: 100 seconds

# Use Case:

Enhance existing CRM records with updated roles, locations, or company data.

# Additional Information:

* Supported input urls example:

  * [https://www.linkedin.com/in/boris-johnson](https://www.linkedin.com/in/boris-johnson)

  * [https://www.linkedin.com/in/boris-johnson](https://www.linkedin.com/in/boris-johnson)/

  * [linkedin.com/in/boris-johnson](https://www.linkedin.com/in/boris-johnson)

  * [https://in.linkedin.com/in/boris-johnson](https://www.linkedin.com/in/boris-johnson)

  * [http://linkedin.com/in/boris-johnson](https://www.linkedin.com/in/boris-johnson)

  * <ins>linkedin.com/pub/...</ins>

  * `linkedin.com/pub-profile/…`

  * [http://www.linkedin.com/pub-profile/](http://www.linkedin.com/pub-profile/)...

  * `https://www.linkedin.com/in/ACwAADIiK28BsZHX22c9Rm80fUW3LiXKvcLu1Cc` (sales id)

  * `https://www.linkedin.com/sales/lead/ACwAAA0BOw8BTT9lGuZQWNg9Hd3rK2gHtrjTYOw,NAME_SEARCH,c_8o`

* Custom parameter inexact\_company = true:

  * Will find `Company ID` for output datapoint `inexact_company` via company search. Only for cases when lead `company id == None` AND `company_name != empty`.

* Custom Parameter: `people_also_viewed` allows to fetch up to 20 similar profiles, costs 1 additional credit (default: false)

* Custom Parameter `posts` allows to fetch last 20 posts, costs 1 additional credit (default: false)

* Custom Parameter `comments` allows to fetch last 20 comments, costs 1 additional credit

* Custom Parameter `up_to_the_second_fresh` = true: enables real-time data retrieval instead of cached data (default: false). Use this when you need the most current information, though it may result in slower response times.

* Custom Parameter `get_full_experience`: by default, only current jobs (where `job_still_working == true`) are returned. Set to `true` to return full work history including past positions (default: false)

<Warning>
  **Full Work History:** To get all positions (not just current), use both parameters together:

  ```json theme={null}
  {
    "url": "https://www.linkedin.com/in/username",
    "get_full_experience": true,
    "up_to_the_second_fresh": true
  }
  ```

  Without `up_to_the_second_fresh`, cached data with only the current position is returned.
</Warning>

* Multiple parameters pass are allowed (`posts` + `comments` + `people_also_viewed` + `up_to_the_second_fresh` + `get_full_experience`)

* In case of response with `500 status code`, please send request again


## OpenAPI

````yaml post /api/linkedin/leads/by_link/
openapi: 3.0.3
info:
  title: Generect API
  description: >-
    Welcome to the Generect API documentation. Here we will help you integrate
    and use our API.


    API base url: `api.generect.com`  

    Protocol: `HTTPS`


    # Authentication


    Firstly, add a `API Token` to the enviroment variables `auth_token` in
    `Settings` tab.


    # Rate limits


    Credits: You can request data depending on your data plan and credit
    balance. The default is 10000/month. The estimated number of credits to
    spend is based on the complexity of the query and the number of results. The
    amount spent can be increased by additional data flags in the queries.


    # Note


    _Ensure that you are add a "/" to the end of url._
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.generect.com
security:
  - apiKey: []
tags:
  - name: 1. Auth
    description: Login and get user info
  - name: 2. Transactions
    description: List of latest transactions in your account
  - name: 3. Leads
    description: Fetch information about leads by _link/name/ICP_.
  - name: 4. Companies
    description: Fetch information about companies by link/name/ICP.
paths:
  /api/linkedin/leads/by_link/:
    post:
      tags:
        - 3. Leads
      summary: Get Lead by link
      description: >-
        Enrich or update your database with detailed lead information from a
        provided URL. By default, returns cached data for faster response times.
        Set up_to_the_second_fresh=true for real-time data retrieval.
      operationId: getLeadByLink
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  example: https://www.linkedin.com/company/boris-johnson
                inexact_company:
                  type: boolean
                  example: false
                comments:
                  type: boolean
                  example: false
                people_also_viewed:
                  type: boolean
                  example: false
                  description: >-
                    Include people also viewed data (+1 credit). Default is
                    false.
                posts:
                  type: boolean
                  example: false
                  description: Include posts data (+1 credit). Default is false.
                up_to_the_second_fresh:
                  type: boolean
                  example: true
                  description: >-
                    Use real-time search instead of cached data. Default is
                    false for faster response times.
                get_full_experience:
                  type: boolean
                  example: false
                  description: >-
                    By default, only current jobs (where job_still_working ==
                    true) are returned. Set to true to return full work history
                    including past positions.
            examples:
              Get Lead by link:
                value:
                  comments: false
                  inexact_company: false
                  people_also_viewed: false
                  posts: false
                  up_to_the_second_fresh: true
                  get_full_experience: false
                  url: https://www.linkedin.com/company/boris-johnson
      responses:
        '200':
          description: '200'
          headers:
            Allow:
              schema:
                type: string
                example: POST, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '7540'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 19:57:51 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Vary:
              schema:
                type: string
                example: Accept, Origin
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: number
                    example: -1
                  lead:
                    type: object
                    properties:
                      certifications:
                        type: array
                        items: {}
                        example: []
                      company_city:
                        nullable: true
                        example: null
                      company_country:
                        type: string
                        example: France
                      company_description:
                        type: string
                        example: >-
                          ENGIE is a global reference in low-carbon energy and
                          services. With its 97,000 employees, clients, partners
                          and stakeholders, the Group strives every day to
                          accelerate the transition towards a carbon-neutral
                          economy, through reduced energy consumption and more
                          environmentally friendly solutions. Inspired by its
                          purpose statement, ENGIE reconciles economic
                          performance with a positive impact on people and the
                          planet, building on its key businesses (gas, renewable
                          energy, services) to offer competitive solutions to
                          its clients. 


                          We are a united group, committed to inclusiveness and
                          diversity, where everyone can forge their own career
                          path , improve on their skills, and continually
                          enhance their expertise. We work in a caring,
                          flexible, and secure environment that encourages
                          personal and professional development. #WithENGIE 



                          Turnover in 2023: EUR82.6 billion. The Group is listed
                          on the Paris and Brussels stock exchanges (ENGI) and
                          is represented in the main financial indices (CAC 40,
                          Euronext 100, FTSE Euro 100, MSCI Europe) and
                          non-financial indices (DJSI World, Euronext Vigeo
                          Eiris - Europe 120 / France 20, MSCI EMU ESG screened,
                          MSCI EUROPE ESG Universal Select, Stoxx Europe 600
                          ESG-X).
                      company_headcount_range:
                        type: string
                        example: 10001+
                      company_id:
                        type: string
                        example: '298246'
                      company_image:
                        type: string
                        example: >-
                          https://media.licdn.com/dms/image/v2/C4D0BAQHQn5EB4SKDyg/company-logo_400_400/company-logo_400_400/0/1630570629615/engie_logo?e=1741219200&v=beta&t=-Ga4LKJPrvzQnNm3PuUG9lkHYwO4IRP1R79TgqSeftc
                      company_industry:
                        type: string
                        example: Utilities
                      company_location:
                        type: string
                        example: France
                      company_name:
                        type: string
                        example: ENGIE
                      company_state:
                        type: string
                        example: ''
                      company_url:
                        type: string
                        example: https://www.linkedin.com/company/boris-johnson
                      company_website:
                        type: string
                        example: https://www.engie.com/en
                      educations:
                        type: array
                        items:
                          type: object
                          properties:
                            degree:
                              type: string
                              example: Certificat de formation generale (CFG)
                            ended_on:
                              type: object
                              properties:
                                month:
                                  type: number
                                  example: 5
                                year:
                                  type: number
                                  example: 2023
                              nullable: true
                            fields_of_study:
                              type: array
                              items:
                                nullable: true
                                example: null
                            started_on:
                              type: object
                              properties:
                                month:
                                  type: number
                                  example: 3
                                year:
                                  type: number
                                  example: 2023
                            university_id:
                              type: string
                              nullable: true
                              example: '14803'
                            university_name:
                              type: string
                              example: CentraleSupelec
                        example:
                          - degree: Certificat de formation generale (CFG)
                            ended_on:
                              month: 5
                              year: 2023
                            fields_of_study: null
                            started_on:
                              month: 3
                              year: 2023
                            university_id: '14803'
                            university_name: CentraleSupelec
                          - degree: Ingenieur
                            ended_on:
                              year: 2007
                            fields_of_study:
                              - Systeme et Reseau
                            started_on:
                              year: 2002
                            university_id: null
                            university_name: EITI
                          - degree: Certification EasyVista
                            ended_on: null
                            fields_of_study: null
                            started_on:
                              year: 2013
                            university_id: null
                            university_name: EasyVista
                          - degree: Certification HP SM 9
                            ended_on: null
                            fields_of_study: null
                            started_on:
                              year: 2012
                            university_id: null
                            university_name: HP
                          - degree: Certification ITIL V2
                            ended_on: null
                            fields_of_study: null
                            started_on:
                              year: 2012
                            university_id: null
                            university_name: ITIL
                      first_name:
                        type: string
                        example: Birama
                      full_name:
                        type: string
                        example: Birama Traoré
                      headline:
                        type: string
                        example: CIO Procurement - Finance - CSR
                      industry:
                        type: string
                        example: IT Services and IT Consulting
                      input_url:
                        type: string
                        example: https://www.linkedin.com/company/boris-johnson
                      is_full_data:
                        type: boolean
                        example: true
                      is_job_seeker:
                        type: boolean
                        example: false
                      is_openlink:
                        type: boolean
                        example: false
                      is_premium:
                        type: boolean
                        example: false
                      is_retired:
                        type: boolean
                        example: false
                      job_description:
                        nullable: true
                        example: null
                      job_ended_on:
                        nullable: true
                        example: null
                      job_location:
                        type: string
                        example: Paris et peripherie
                      job_location_city:
                        nullable: true
                        example: null
                      job_location_country:
                        type: string
                        example: Ethiopia
                      job_location_county:
                        nullable: true
                        example: null
                      job_location_state:
                        nullable: true
                        example: null
                      job_started_on:
                        type: string
                        example: Sep 2023
                      job_still_working:
                        type: boolean
                        example: true
                      job_title:
                        type: string
                        example: CIO Procurement - Finance - CSR
                      jobs:
                        type: array
                        items:
                          type: object
                          properties:
                            company_city:
                              nullable: true
                              example: null
                            company_country:
                              type: string
                              example: France
                            company_description:
                              type: string
                              example: >-
                                ENGIE is a global reference in low-carbon energy
                                and services. With its 97,000 employees,
                                clients, partners and stakeholders, the Group
                                strives every day to accelerate the transition
                                towards a carbon-neutral economy, through
                                reduced energy consumption and more
                                environmentally friendly solutions. Inspired by
                                its purpose statement, ENGIE reconciles economic
                                performance with a positive impact on people and
                                the planet, building on its key businesses (gas,
                                renewable energy, services) to offer competitive
                                solutions to its clients. 


                                We are a united group, committed to
                                inclusiveness and diversity, where everyone can
                                forge their own career path , improve on their
                                skills, and continually enhance their expertise.
                                We work in a caring, flexible, and secure
                                environment that encourages personal and
                                professional development. #WithENGIE 



                                Turnover in 2023: EUR82.6 billion. The Group is
                                listed on the Paris and Brussels stock exchanges
                                (ENGI) and is represented in the main financial
                                indices (CAC 40, Euronext 100, FTSE Euro 100,
                                MSCI Europe) and non-financial indices (DJSI
                                World, Euronext Vigeo Eiris - Europe 120 /
                                France 20, MSCI EMU ESG screened, MSCI EUROPE
                                ESG Universal Select, Stoxx Europe 600 ESG-X).
                            company_headcount_range:
                              type: string
                              example: 10001+
                            company_id:
                              type: string
                              example: '298246'
                            company_image:
                              type: string
                              example: >-
                                https://media.licdn.com/dms/image/v2/C4D0BAQHQn5EB4SKDyg/company-logo_400_400/company-logo_400_400/0/1630570629615/engie_logo?e=1741219200&v=beta&t=-Ga4LKJPrvzQnNm3PuUG9lkHYwO4IRP1R79TgqSeftc
                            company_industry:
                              type: string
                              example: Utilities
                            company_location:
                              type: string
                              example: France
                            company_name:
                              type: string
                              example: ENGIE
                            company_state:
                              type: string
                              example: ''
                            company_url:
                              type: string
                              example: https://www.linkedin.com/company/engie/
                            company_website:
                              type: string
                              example: https://www.engie.com/en
                            job_description:
                              nullable: true
                              example: null
                            job_ended_on:
                              nullable: true
                              example: null
                            job_location:
                              type: string
                              example: Paris et peripherie
                            job_location_city:
                              nullable: true
                              example: null
                            job_location_country:
                              type: string
                              example: Ethiopia
                            job_location_county:
                              nullable: true
                              example: null
                            job_location_state:
                              nullable: true
                              example: null
                            job_started_on:
                              type: string
                              example: Sep 2023
                            job_still_working:
                              type: boolean
                              example: true
                            job_title:
                              type: string
                              example: CIO Procurement - Finance - CSR
                            raw_company_name:
                              type: string
                              example: ENGIE
                            raw_job_title:
                              type: string
                              example: CIO Procurement - Finance - CSR
                        example:
                          - company_city: null
                            company_country: France
                            company_description: >-
                              ENGIE is a global reference in low-carbon energy
                              and services. With its 97,000 employees, clients,
                              partners and stakeholders, the Group strives every
                              day to accelerate the transition towards a
                              carbon-neutral economy, through reduced energy
                              consumption and more environmentally friendly
                              solutions. Inspired by its purpose statement,
                              ENGIE reconciles economic performance with a
                              positive impact on people and the planet, building
                              on its key businesses (gas, renewable energy,
                              services) to offer competitive solutions to its
                              clients. 


                              We are a united group, committed to inclusiveness
                              and diversity, where everyone can forge their own
                              career path , improve on their skills, and
                              continually enhance their expertise. We work in a
                              caring, flexible, and secure environment that
                              encourages personal and professional development.
                              #WithENGIE 



                              Turnover in 2023: EUR82.6 billion. The Group is
                              listed on the Paris and Brussels stock exchanges
                              (ENGI) and is represented in the main financial
                              indices (CAC 40, Euronext 100, FTSE Euro 100, MSCI
                              Europe) and non-financial indices (DJSI World,
                              Euronext Vigeo Eiris - Europe 120 / France 20,
                              MSCI EMU ESG screened, MSCI EUROPE ESG Universal
                              Select, Stoxx Europe 600 ESG-X).
                            company_headcount_range: 10001+
                            company_id: '298246'
                            company_image: >-
                              https://media.licdn.com/dms/image/v2/C4D0BAQHQn5EB4SKDyg/company-logo_400_400/company-logo_400_400/0/1630570629615/engie_logo?e=1741219200&v=beta&t=-Ga4LKJPrvzQnNm3PuUG9lkHYwO4IRP1R79TgqSeftc
                            company_industry: Utilities
                            company_location: France
                            company_name: ENGIE
                            company_state: ''
                            company_url: https://www.linkedin.com/company/engie/
                            company_website: https://www.engie.com/en
                            job_description: null
                            job_ended_on: null
                            job_location: Paris et peripherie
                            job_location_city: null
                            job_location_country: Ethiopia
                            job_location_county: null
                            job_location_state: null
                            job_started_on: Sep 2023
                            job_still_working: true
                            job_title: CIO Procurement - Finance - CSR
                            raw_company_name: ENGIE
                            raw_job_title: CIO Procurement - Finance - CSR
                      languages:
                        type: array
                        items: {}
                        example: []
                      last_name:
                        type: string
                        example: Traoré
                      linkedin_id:
                        type: string
                        example: '113966911'
                      linkedin_sales_link:
                        type: string
                        example: >-
                          https://www.linkedin.com/sales/lead/ACwAAAbK_z8BitOI-5PxZa_jkG05STRmNLRaK14,NAME_SEARCH,OJWs
                      linkedin_url:
                        type: string
                        example: https://www.linkedin.com/in/birama-traor%C3%A9
                      location:
                        type: string
                        example: Greater Paris Metropolitan Region
                      location_city:
                        type: string
                        example: ''
                      location_country:
                        type: string
                        example: France
                      location_county:
                        nullable: true
                        example: null
                      location_state:
                        type: string
                        example: Ile-de-France
                      middle_name:
                        type: string
                        example: ''
                      num_of_connections:
                        type: number
                        example: 2253
                      private_website:
                        nullable: true
                        example: null
                      profile_photo:
                        type: string
                        example: >-
                          https://media.licdn.com/dms/image/v2/C4D03AQFUuSLnGkiKVA/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1625575996700?e=1738800000&v=beta&t=y0ZfbWCCWzmJOHFim2Y5_MSDchOztFjtsqbP61ze_EU
                      raw_company_name:
                        type: string
                        example: ENGIE
                      raw_headline:
                        type: string
                        example: CIO Procurement - Finance - CSR
                      raw_job_title:
                        type: string
                        example: CIO Procurement - Finance - CSR
                      sales_id:
                        type: string
                        example: ACwAAAbK_z8BitOI-5PxZa_jkG05STRmNLRaK14
                      skills:
                        type: array
                        items: {}
                        example: []
                      source:
                        type: string
                        example: lead_by_link
                      summary:
                        type: string
                        example: >-
                          I have been working in the Information Technology for
                          the last 15 years. I have occupied different
                          consultancy and management roles within the value
                          chain, ranging from Infrastructure ones to
                          transformation lead ones. In these roles I had the
                          privilege to directly manage highly-skilled teams up
                          to 80 people across 5 different geographies. I have
                          managed business IT operations, process and
                          transformation projects.


                          3 years ago, I joined ENGIE IT as the Head of
                          Enterprise Service Management with notably two major
                          programs in my scope: The Salesforce & Service Now
                          Center Of Excellence - Both initiatives aims to help
                          our client to achieve exponential growth. 


                          My best contributions are in transformation
                          environments, where we have to lead our teams through
                          changes in business models and culture. I do believe
                          in leadership by example and I like to enable teams
                          and clients to grow and achieve goals they did not
                          think possible.


                          My current topics consist of setting up powerful
                          Center of Excellence in order to foster expertise and
                          take it to the next level of the organization in terms
                          of business objectives & value. The goal is to lead
                          transformation and enhance expertise to serve business
                          growth.
                      twitter_link:
                        nullable: true
                        example: null
                      unformatted_full_name:
                        type: string
                        example: Birama Traoré
              examples:
                '200':
                  value:
                    amount: -1
                    lead:
                      certifications: []
                      company_city: null
                      company_country: France
                      company_description: >-
                        ENGIE is a global reference in low-carbon energy and
                        services. With its 97,000 employees, clients, partners
                        and stakeholders, the Group strives every day to
                        accelerate the transition towards a carbon-neutral
                        economy, through reduced energy consumption and more
                        environmentally friendly solutions. Inspired by its
                        purpose statement, ENGIE reconciles economic performance
                        with a positive impact on people and the planet,
                        building on its key businesses (gas, renewable energy,
                        services) to offer competitive solutions to its
                        clients. 


                        We are a united group, committed to inclusiveness and
                        diversity, where everyone can forge their own career
                        path , improve on their skills, and continually enhance
                        their expertise. We work in a caring, flexible, and
                        secure environment that encourages personal and
                        professional development. #WithENGIE 



                        Turnover in 2023: EUR82.6 billion. The Group is listed
                        on the Paris and Brussels stock exchanges (ENGI) and is
                        represented in the main financial indices (CAC 40,
                        Euronext 100, FTSE Euro 100, MSCI Europe) and
                        non-financial indices (DJSI World, Euronext Vigeo Eiris
                        - Europe 120 / France 20, MSCI EMU ESG screened, MSCI
                        EUROPE ESG Universal Select, Stoxx Europe 600 ESG-X).
                      company_headcount_range: 10001+
                      company_id: '298246'
                      company_image: >-
                        https://media.licdn.com/dms/image/v2/C4D0BAQHQn5EB4SKDyg/company-logo_400_400/company-logo_400_400/0/1630570629615/engie_logo?e=1741219200&v=beta&t=-Ga4LKJPrvzQnNm3PuUG9lkHYwO4IRP1R79TgqSeftc
                      company_industry: Utilities
                      company_location: France
                      company_name: ENGIE
                      company_state: ''
                      company_url: https://www.linkedin.com/company/engie/
                      company_website: https://www.engie.com/en
                      educations:
                        - degree: Certificat de formation generale (CFG)
                          ended_on:
                            month: 5
                            year: 2023
                          fields_of_study: null
                          started_on:
                            month: 3
                            year: 2023
                          university_id: '14803'
                          university_name: CentraleSupelec
                        - degree: Ingenieur
                          ended_on:
                            year: 2007
                          fields_of_study:
                            - Systeme et Reseau
                          started_on:
                            year: 2002
                          university_id: null
                          university_name: EITI
                        - degree: Certification EasyVista
                          ended_on: null
                          fields_of_study: null
                          started_on:
                            year: 2013
                          university_id: null
                          university_name: EasyVista
                        - degree: Certification HP SM 9
                          ended_on: null
                          fields_of_study: null
                          started_on:
                            year: 2012
                          university_id: null
                          university_name: HP
                        - degree: Certification ITIL V2
                          ended_on: null
                          fields_of_study: null
                          started_on:
                            year: 2012
                          university_id: null
                          university_name: ITIL
                      first_name: Birama
                      full_name: Birama Traoré
                      headline: CIO Procurement - Finance - CSR
                      industry: IT Services and IT Consulting
                      input_url: https://www.linkedin.com/in/birama-traor%c3%a9/
                      is_full_data: true
                      is_job_seeker: false
                      is_openlink: false
                      is_premium: false
                      is_retired: false
                      job_description: null
                      job_ended_on: null
                      job_location: Paris et peripherie
                      job_location_city: null
                      job_location_country: Ethiopia
                      job_location_county: null
                      job_location_state: null
                      job_started_on: Sep 2023
                      job_still_working: true
                      job_title: CIO Procurement - Finance - CSR
                      jobs:
                        - company_city: null
                          company_country: France
                          company_description: >-
                            ENGIE is a global reference in low-carbon energy and
                            services. With its 97,000 employees, clients,
                            partners and stakeholders, the Group strives every
                            day to accelerate the transition towards a
                            carbon-neutral economy, through reduced energy
                            consumption and more environmentally friendly
                            solutions. Inspired by its purpose statement, ENGIE
                            reconciles economic performance with a positive
                            impact on people and the planet, building on its key
                            businesses (gas, renewable energy, services) to
                            offer competitive solutions to its clients. 


                            We are a united group, committed to inclusiveness
                            and diversity, where everyone can forge their own
                            career path , improve on their skills, and
                            continually enhance their expertise. We work in a
                            caring, flexible, and secure environment that
                            encourages personal and professional development.
                            #WithENGIE 



                            Turnover in 2023: EUR82.6 billion. The Group is
                            listed on the Paris and Brussels stock exchanges
                            (ENGI) and is represented in the main financial
                            indices (CAC 40, Euronext 100, FTSE Euro 100, MSCI
                            Europe) and non-financial indices (DJSI World,
                            Euronext Vigeo Eiris - Europe 120 / France 20, MSCI
                            EMU ESG screened, MSCI EUROPE ESG Universal Select,
                            Stoxx Europe 600 ESG-X).
                          company_headcount_range: 10001+
                          company_id: '298246'
                          company_image: >-
                            https://media.licdn.com/dms/image/v2/C4D0BAQHQn5EB4SKDyg/company-logo_400_400/company-logo_400_400/0/1630570629615/engie_logo?e=1741219200&v=beta&t=-Ga4LKJPrvzQnNm3PuUG9lkHYwO4IRP1R79TgqSeftc
                          company_industry: Utilities
                          company_location: France
                          company_name: ENGIE
                          company_state: ''
                          company_url: https://www.linkedin.com/company/engie/
                          company_website: https://www.engie.com/en
                          job_description: null
                          job_ended_on: null
                          job_location: Paris et peripherie
                          job_location_city: null
                          job_location_country: Ethiopia
                          job_location_county: null
                          job_location_state: null
                          job_started_on: Sep 2023
                          job_still_working: true
                          job_title: CIO Procurement - Finance - CSR
                          raw_company_name: ENGIE
                          raw_job_title: CIO Procurement - Finance - CSR
                      languages: []
                      last_name: Traoré
                      linkedin_id: '113966911'
                      linkedin_sales_link: >-
                        https://www.linkedin.com/sales/lead/ACwAAAbK_z8BitOI-5PxZa_jkG05STRmNLRaK14,NAME_SEARCH,OJWs
                      linkedin_url: https://www.linkedin.com/in/birama-traor%C3%A9
                      location: Greater Paris Metropolitan Region
                      location_city: ''
                      location_country: France
                      location_county: null
                      location_state: Ile-de-France
                      middle_name: ''
                      num_of_connections: 2253
                      private_website: null
                      profile_photo: >-
                        https://media.licdn.com/dms/image/v2/C4D03AQFUuSLnGkiKVA/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1625575996700?e=1738800000&v=beta&t=y0ZfbWCCWzmJOHFim2Y5_MSDchOztFjtsqbP61ze_EU
                      raw_company_name: ENGIE
                      raw_headline: CIO Procurement - Finance - CSR
                      raw_job_title: CIO Procurement - Finance - CSR
                      sales_id: ACwAAAbK_z8BitOI-5PxZa_jkG05STRmNLRaK14
                      skills: []
                      source: lead_by_link
                      summary: >-
                        I have been working in the Information Technology for
                        the last 15 years. I have occupied different consultancy
                        and management roles within the value chain, ranging
                        from Infrastructure ones to transformation lead ones. In
                        these roles I had the privilege to directly manage
                        highly-skilled teams up to 80 people across 5 different
                        geographies. I have managed business IT operations,
                        process and transformation projects.


                        3 years ago, I joined ENGIE IT as the Head of Enterprise
                        Service Management with notably two major programs in my
                        scope: The Salesforce & Service Now Center Of Excellence
                        - Both initiatives aims to help our client to achieve
                        exponential growth. 


                        My best contributions are in transformation
                        environments, where we have to lead our teams through
                        changes in business models and culture. I do believe in
                        leadership by example and I like to enable teams and
                        clients to grow and achieve goals they did not think
                        possible.


                        My current topics consist of setting up powerful Center
                        of Excellence in order to foster expertise and take it
                        to the next level of the organization in terms of
                        business objectives & value. The goal is to lead
                        transformation and enhance expertise to serve business
                        growth.
                      twitter_link: null
                      unformatted_full_name: Birama Traoré
        '400':
          description: 400 (Bad url)
          headers:
            Allow:
              schema:
                type: string
                example: POST, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '128'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 20:07:43 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Vary:
              schema:
                type: string
                example: Accept, Origin
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: number
                    example: 0
                  detail:
                    type: string
                    example: Bad url
                  input_url:
                    type: string
                    example: https://www.facebook.com/in/birama-traor%c3%a9/
                  status:
                    type: string
                    example: error
                  status_code:
                    type: number
                    example: 400
              examples:
                400 (Bad url):
                  value:
                    amount: 0
                    detail: Bad url
                    input_url: https://www.facebook.com/in/birama-traor%c3%a9/
                    status: error
                    status_code: 400
        '401':
          description: '401'
          headers:
            Allow:
              schema:
                type: string
                example: POST, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '94'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 19:58:56 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Vary:
              schema:
                type: string
                example: Accept, Origin
            WWW-Authenticate:
              schema:
                type: string
                example: Token
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Invalid token header. No credentials provided.
                  status:
                    type: string
                    example: error
                  status_code:
                    type: number
                    example: 401
              examples:
                '401':
                  value:
                    detail: Invalid token header. No credentials provided.
                    status: error
                    status_code: 401
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Use 'Token <api-key>' as the value

````